﻿using HeuristicLab.Algorithms.NSGA3;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace HeuristicLab.Algorithms.NSGA3_3._3.Test
{
    [TestClass]
    public class ReferencePointsTests
    {
        [DataTestMethod]
        [DataRow(3, 91)]
        [DataRow(5, 210)]
        [DataRow(8, 156)]
        [DataRow(10, 275)]
        [DataRow(15, 135)]
        public void TestGetNumberOfGeneratedReferencePoints(int dimensions, int expectedNumberOfReferencePoints)
        {
            Assert.AreEqual(expectedNumberOfReferencePoints, ReferencePoint.GetNumberOfGeneratedReferencePoints(dimensions));
        }
    }
}